<?php

namespace Drupal\mustache_test;

use Drupal\mustache\Render\Markup;

/**
 * Helper class to get a HTML list of test links.
 */
abstract class TestLinks {

  /**
   * Get a HTML list of test links.
   *
   * @return \Drupal\Component\Render\MarkupInterface
   *   The markup containing test links.
   */
  public static function get() {
    $output = '<h3>Test links:</h3>';
    $output .= '<ul>';
    $output .= '<li><a href="/mustache-test/period">Periodically refreshes</a></li>';
    $output .= '<li><a href="/mustache-test/interactive">Interactive</a></li>';
    $output .= '<li><a href="/mustache-test/interactive-adjacent">Interactive adjacent</a></li>';
    $output .= '<li><a href="/mustache-test/eval">Inner script execution (eval)</a></li>';
    $output .= '<li><a href="/mustache-test/trigger-placeholder">Placeholder with triggering element</a></li>';
    $output .= '<li><a href="/mustache-test/eval-inline">Inline templates with inner script execution</a></li>';
    $output .= '<li><a href="/mustache-test/limited-trigger-placeholder">Placeholder with triggering element (limited)</a></li>';
    $output .= '<li><a href="/mustache-test/switchables">Switchables</a></li>';
    $output .= '<li><a href="/mustache-test/switchables-partial">Switchables (using partials)</a></li>';
    $output .= '<li><a href="/mustache-test/switchables-partial-inline">Switchables (using inline partials)</a></li>';
    $output .= '<li><a href="/mustache-test/auto-increment">Increments (automatic)</a></li>';
    $output .= '<li><a href="/mustache-test/auto-increment-interactive">Increments (interactive)</a></li>';
    $output .= '<li><a href="/mustache-test/client-echo">Echo form (client only)</a></li>';
    $output .= '<li><a href="/mustache-test/post-form">POST form</a></li>';
    $output .= '</ul>';
    return Markup::create($output);
  }

}
